	SUBROUTINE SETMOD(INTP, LPP, BLINKP, LINEP)
C************************************************************
C
C  THIS ROUTINE IS USED TO ALTER CHARACTERISTICS OF
C  THE GRAPHIC DATA FOLLOWING. PARAMETERS ARE:
C
C	INTP   - (0 - 7)	GRAPHIC INTENSITY
C
C	LPP    - .TRUE.		L.P. SENSITIVE
C	       - .FALSE.	NOT L.P. SENSITIVE
C
C	BLINKP - .TRUE.		BLINK
C	       - .FALSE.	NO BLINK
C
C	LINEP  - 0		SOLID LINE
C	       - 1		LONG DASH
C	       - 2		SHORT DASH
C	       - 3		DOT DASH
C
C  POSSIBLE ERRORS:
C	NONE
C
C  ROUTINES CALLED:
C	NONE
C
C************************************************************
	IMPLICIT INTEGER (A - Z)
	LOGICAL LPP, BLINKP, LP, BLINK
	COMMON /MODBLK/ MODE, INT, LP, BLINK, LINE, OLDSGM

	INT = INTP .AND. "7
	LINE = LINEP .AND. "3
	LP = .FALSE.
	BLINK = .FALSE.
	IF(LPP) LP = .TRUE.
	IF(BLINKP) BLINK = .TRUE.
	RETURN
	END
